# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate flate2

Name:           rust-%{crate}
Version:        1.0.6
Release:        1%{?dist}
Summary:        DEFLATE compression and decompression exposed as Reader/Writer streams

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/flate2
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(crc32fast/default) >= 1.1.0 with crate(crc32fast/default) < 2.0.0)
BuildRequires:  (crate(futures/default) >= 0.1.0 with crate(futures/default) < 0.2.0)
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(libz-sys/default) >= 1.0.0 with crate(libz-sys/default) < 2.0.0)
BuildRequires:  (crate(miniz-sys/default) >= 0.1.11 with crate(miniz-sys/default) < 0.2.0)
BuildRequires:  (crate(miniz_oxide_c_api/default) >= 0.2.0 with crate(miniz_oxide_c_api/default) < 0.3.0)
BuildRequires:  (crate(miniz_oxide_c_api/no_c_export) >= 0.2.0 with crate(miniz_oxide_c_api/no_c_export) < 0.3.0)
BuildRequires:  (crate(tokio-io/default) >= 0.1.0 with crate(tokio-io/default) < 0.2.0)
%if %{with check}
BuildRequires:  (crate(quickcheck) >= 0.7.0 with crate(quickcheck) < 0.8.0)
BuildRequires:  (crate(rand/default) >= 0.6.0 with crate(rand/default) < 0.7.0)
BuildRequires:  (crate(tokio-core/default) >= 0.1.0 with crate(tokio-core/default) < 0.2.0)
%endif

%global _description \
Bindings to miniz.c for DEFLATE compression and decompression exposed as\
Reader/Writer streams. Contains bindings for zlib, deflate, and gzip-based\
streams.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+futures-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-devel %{_description}

This package contains library source intended for building other packages
which use "futures" feature of "%{crate}" crate.

%files       -n %{name}+futures-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+libz-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libz-sys-devel %{_description}

This package contains library source intended for building other packages
which use "libz-sys" feature of "%{crate}" crate.

%files       -n %{name}+libz-sys-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+miniz-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+miniz-sys-devel %{_description}

This package contains library source intended for building other packages
which use "miniz-sys" feature of "%{crate}" crate.

%files       -n %{name}+miniz-sys-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+miniz_oxide_c_api-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+miniz_oxide_c_api-devel %{_description}

This package contains library source intended for building other packages
which use "miniz_oxide_c_api" feature of "%{crate}" crate.

%files       -n %{name}+miniz_oxide_c_api-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+rust_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_backend-devel %{_description}

This package contains library source intended for building other packages
which use "rust_backend" feature of "%{crate}" crate.

%files       -n %{name}+rust_backend-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages
which use "tokio" feature of "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+tokio-io-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-io-devel %{_description}

This package contains library source intended for building other packages
which use "tokio-io" feature of "%{crate}" crate.

%files       -n %{name}+tokio-io-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+zlib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zlib-devel %{_description}

This package contains library source intended for building other packages
which use "zlib" feature of "%{crate}" crate.

%files       -n %{name}+zlib-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Dec 06 2018 Josh Stone <jistone@redhat.com> - 1.0.6-1
- Update to 1.0.6

* Wed Nov 28 2018 Josh Stone <jistone@redhat.com> - 1.0.5-1
- Update to 1.0.5

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.4-2
- Adapt to new packaging

* Mon Oct 22 2018 Josh Stone <jistone@redhat.com> - 1.0.4-1
- Update to 1.0.4

* Thu Oct 04 2018 Josh Stone <jistone@redhat.com> - 1.0.3-1
- Update to 1.0.3

* Mon Sep 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.2-2
- Bump quickcheck to 0.7

* Sat Aug 04 2018 Josh Stone <jistone@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Initial package
